const DEFAULT_RMSE_THRESHOLD: f64 = 0.97;
const DEFAULT_PEARSONS_THRESHOLD: f64 = 0.94;

#[derive(Debug, Clone, PartialEq)]
pub struct Settings
{
	rmse_threshold: f64,
	pearsons_threshold: f64
}

impl Settings
{
	pub fn new(rmse_threshold: f64, pearsons_threshold: f64) -> Self
	{
		Self{rmse_threshold, pearsons_threshold}
	}

	pub fn rmse_threshold(&self) -> f64
	{
		self.rmse_threshold
	}

	pub fn pearsons_threshold(&self) -> f64
	{
		self.pearsons_threshold
	}
}

impl Default for Settings
{
	fn default() -> Self
	{
		Self::new(DEFAULT_RMSE_THRESHOLD, DEFAULT_PEARSONS_THRESHOLD)
	}
}